/* 

---- 01 TYPOGRAPHY SYSTEM

- Font sizes (px):
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98

- Font weights:
Default: 400
Medium: 500
Semi-bold: 600
Bold:700

- Line Heights:
Default: 1
Small: 1.05
Medium: 1.2
Paragrahph default: 1.6
Large: 1.8

- Letter spacing
-0.5px
0.5px
0.75px


--- 02 COLORS

- Primary: #286dbd
- Background: #1c4d85

- Tints: 
#f7fafd
#e9f1fa
#cde0f5

- Shades: 
#163d69
#0d243f
- Accents:
- Greys: 
#f2f2f2 (tinted for background colour)
#ccc
#888
#767676
#6f6f6f
#555
#333

--- 05 SHDOWS

box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);

--- 06 BORDER-RADIUS

Default: 9px
Medium: 11px

--- 07 WHITESPACE
- Spacing system (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/
:root {
  /* Animation Timing Function */
  --primary-timing-func: cubic-bezier(0.86, 0, 0.07, 1);
  /* Button Variables */
  --button-radius: 60px;
  --button-inner-ring-radius: 120px;
  --button-outer-ring-radius: 100px;
  --button-gradient: 135deg, rgba(29, 78, 135, 1) 0%,
    rgba(40, 109, 189, 1) 100%;
  /* Menu Variables */
  --menu-radius: calc(var(--button-radius) - 2px);
  --menu-height: 380px;
  --menu-width: 330px;
  --menu-border-radius: 10px;
  --menu-bg-color: #1c4d85;
  --menu-timing-function: var(--primary-timing-func);
  --menu-icon-size: 30px;
  /*   Close Icon */
  --close-icon-timing-function: var(--primary-timing-func);
}

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  /* font-size: 10px; */
  /* 10px / 16px = 0.625 = 62.5% */
  /* 1 rem = 10px with this setting */
  /* Percentage of user's browser font-size setting */
  box-sizing: border-box;
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  font-family: Arial, sans-serif;
  color: #333;
  line-height: 1.6;
  font-weight: 400;

  /* Only works if there is nothing absolutely positioned in relation to body */
  overflow-x: hidden;
}

p {
  font-size: 16px;
}
i {
  font-size: 1.8rem;
}
b {
  font-weight: bold;
}
svg {
  fill: #ffffff;
}
table {
  border-collapse: collapse;
  margin: 3rem 0 1rem;
  width: inherit;
}
.table > :not(caption) > * > * {
  padding: 1rem 1rem;
}
tbody,
td,
tfoot,
th,
thead,
tr {
  border-style: none;
}
thead {
  font-size: 1.8rem;
}
thead > tr,
tbody > tr {
  border-bottom: 1px solid #ddd;
}
tbody > tr {
  border-top: 1px solid #ddd;
}
tbody,
td > ul > li,
th {
  color: #333;
  font-weight: 400;
}
tbody,
td > ul > li {
  font-size: 1.6rem;
}
.table-text {
  font-size: 1.6rem;
  font-weight: 400;
}
.table-col-with-icon {
  display: flex;
  flex-direction: row;
}
.table-text-with-icon {
  padding-left: 1.2rem;
}
ol,
ul {
  margin-left: 1.5rem;
  padding-left: 2rem;
}
ul li::marker {
  color: #2a6ebb;
  font-size: 2.5rem;
}
ul li {
  font-size: 1.8rem;
}
.second-level-list li::marker {
  font-size: 2.2rem;
}
ul.second-level-list {
  list-style-type: circle;
}
ul.third-level-list {
  list-style-type: disc;
}
.third-level-list li::marker {
  font-size: 2rem;
}
ul.fourth-level-list {
  list-style-type: circle;
}
.fourth-level-list li::marker {
  font-size: 1.4rem;
}
::selection {
  background-color: #1c4d85;
  color: #fff;
}
.black-color {
  color: #333;
}
.dark-gray {
  color: #46474a;
}
.main-color {
  color: #286dbd;
}
.fade-in {
  animation: fade-in 1.1s forwards;
  transition: all 0.6s ease-in;
}
.fade-out {
  animation: fade-out 1.1s forwards;
  transition: all 0.6s ease-in;
}
/*************************************/
/* GENERAL REUSABLE COMPONENTS */
/*************************************/

.container-custom {
  /* 1340px  */
  max-width: 134rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}
.flex-container {
  display: flex;
}
.center-items {
  justify-content: center;
  align-items: center;
}
.grid-custom {
  display: grid;
  column-gap: 5.4rem;
  row-gap: 9.6rem;
}
.grid--2-cols {
  grid-template-columns: repeat(2, 1fr);
}
.grid--3-cols {
  grid-template-columns: repeat(3, 1fr);
}
.grid--4-cols {
  grid-template-columns: repeat(4, 1fr);
}
.grid--5-cols {
  grid-template-columns: repeat(5, 1fr);
}
.grid--center-v {
  align-items: center;
}
.margin-top-3 {
  margin-top: 3rem;
}
.margin-top-0 {
  margin-top: 0 !important;
}
.no-padding-margin {
  margin: 0;
  padding: 0;
}
.add-margin-top-20 {
  margin-top: 2rem;
}
.add-margin-top-10 {
  margin-top: 1rem;
}
.add-margin-bottom-10 {
  margin-bottom: 1rem;
}
.add-margin-bottom-20 {
  margin-bottom: 2rem;
}
.add-padding-bottom-10 {
  padding-bottom: 1rem;
}
.title-text {
  color: #286dbd;
  font-family: 'Bitter', 'Roboto', serif;
  font-size: 3rem;
  font-weight: 500;
  letter-spacing: 0.1rem;
}
.tinted {
  background-color: #f2f2f2;
}
.uppercase {
  text-transform: uppercase;
}
.mailto-style a {
  text-decoration: none;
}
.mailto-style a:hover {
  text-decoration: underline;
  text-underline-offset: 25%;
}
.mailto-color-inherit a {
  color: inherit;
}
.hyperlink-color-main a,
.mailto-color-main a {
  color: #286dbd !important;
  text-decoration: underline !important;
  text-underline-offset: 25% !important;
}
.hyperlink-color-main a:hover,
.mailto-color-main a:hover,
.hyperlink-color-inherit a:hover {
  color: #1c4d85 !important;
  text-decoration: none !important;
}
.hyperlink-color-white a {
  color: white;
  text-decoration: underline;
  text-underline-offset: 25%;
}
.hyperlink-color-inherit a {
  color: inherit;
  text-decoration: underline;
  text-underline-offset: 25%;
}
.hover-add-underline {
  text-decoration: none;
}
.hover-add-underline:hover {
  text-decoration: underline;
  text-underline-offset: 25%;
}
.text-wrap {
  word-wrap: break-word;
}
.bold {
  font-weight: bold;
}
.no-bullet-list {
  list-style: none !important;
}
span.ext {
  background: url(./images/extlink_s.png) 2px center no-repeat;
  width: 10px;
  height: 10px;
  padding-right: 12px;
  text-decoration: none;
}
/*************************************/
/* Search and Select section */
/*************************************/
.search-box-row {
  align-items: center;
  margin-top: 3.1rem;
  padding-bottom: 1rem;
}
.search-bar {
  width: 44rem;
  height: 4.1rem;
}
.search-bar input {
  font-size: 1.5rem;
  font-weight: 400;
  color: #333;
  border-color: #6f6f6f !important;
}
.search-bar input:focus {
  outline: none !important;
  outline-width: 0 !important;
  box-shadow: none;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
}
.semi-pill {
  border-radius: 2rem 2rem 0 0 !important;
  border-bottom: 'white';
}
.search-bar input[type='search'] {
  padding-left: 3rem;
}
::placeholder {
  color: #6f6f6f !important;
}
::-ms-input-placeholder {
  color: #6f6f6f !important;
}
.select-box {
  display: inline-block;

  border-radius: 5rem;
  border: 1px solid #6f6f6f !important;
  color: #286dbd;
  cursor: pointer;
  font-size: 1.5rem;
  font-weight: 500;
  font-family: inherit;
  letter-spacing: 0.05em;
  line-height: 1.4;
  margin: 1rem;
  padding: 0.5rem 2.5rem;
  text-align: left;
  text-decoration: none;
  width: 21rem;
  height: 4.1rem;
}
.select-box option {
  text-transform: none;
}
.reset-text-button {
  font-size: 1.8rem;
  font-weight: 300;
  width: 13rem;
  color: #1c4d85;
}
.reset-text-button button {
  letter-spacing: 0.05rem;
  cursor: pointer;
  text-decoration: underline;
  text-underline-offset: 25%;
}
.reset-text-button button:hover {
  text-decoration: none;
}
.favourites-button {
  position: relative;
  background-color: inherit;
  color: #286dbd;
  font-size: 1.8rem;
  width: 17rem;
  margin-left: auto;
  margin-right: 0.5rem;
  border: none;
  overflow: hidden;
  text-align: right;
}
.favourites-button img {
  padding-right: 0.5rem;
  vertical-align: middle;
}
.favourites-button span {
  font-weight: 300;
  letter-spacing: 0.05rem;
}
/*************************************/
/* Buttons */
/*************************************/
.btn,
.btn:link,
.btn:visited {
  display: inline-block;

  border: none;
  border-radius: 5rem;
  cursor: pointer;
  font-size: 1.8rem;
  font-weight: 600;
  font-family: inherit;
  letter-spacing: 0.05em;
  line-height: 1.4;
  margin: 1rem;
  padding: 1.1rem 2.5rem;
  text-align: center;
  text-decoration: none;

  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -o-transition: all 0.3s;
  -ms-transition: all 0.3s;
  transition: all 0.3s;
}
.btn--full:link,
.btn--full:visited {
  background-color: #286dbd;
  box-shadow: inset 0 0 0 1px #286dbd;
  color: #fff;
}
.btn--full:hover,
.btn--full:active {
  background-color: #fff;
  color: #286dbd;
  transition: background-color 0.2s, color 0.2s;
}
.btn--full:focus,
.btn:focus {
  background-color: #fff;
  color: #286dbd !important;
  outline: 3px solid #286dbd;
}
.btn--outline {
  background-color: #fff;
  /* Trick to add border inside */
  box-shadow: inset 0 0 0 1px #ccc;
  color: #286dbd;
}
.btn--outline:hover,
.btn--outline:active {
  background-color: #286dbd;
  box-shadow: inset 0 0 0 1px #286dbd;
  color: #fff;
}
.btn--big {
  width: 27rem;
}
.btn--uppercase {
  text-transform: uppercase;
}
.btn--outline-maincolor-border:link,
.btn--outline-maincolor-border:visited {
  box-shadow: inset 0 0 0 2px #286dbd;
}
.btn--outline-maincolor-border:hover,
.btn--outline-maincolor-border:active {
  box-shadow: inset 0 0 0 2px #286dbd;
}
.explore-program > i {
  font-size: 1.8rem;
  margin-left: 0.5rem;
  -webkit-text-stroke: 2.5px;
}
.txt-btn,
.icon-btn {
  background-color: inherit;
  border: none;
  font-size: 2rem;
  font-weight: 500;
  letter-spacing: 0.05em;
  cursor: pointer;
  -webkit-transition: 0.3s ease;
  -moz-transition: 0.3s ease;
  -o-transition: 0.3s ease;
  -ms-transition: 0.3s ease;
  transition: 0.3s ease;
}
.txt-btn:hover {
  color: #1c4d85;
}
.icon-btn:hover {
  color: #1c4d85;
}

/*************************************/
/* FLOATING FEEDBACK BUTTON */
/*************************************/

/* Feedback button (1/2) */
/* .section-floating-feedback {
  font-family: 'Open Sans', sans-serif;
} */
.close-feedback,
.close-help {
  background-color: #e8e8e8;
  border: none;
  color: #2a6ebb;
  font-size: 3.5rem;
  position: relative;
  left: 95%;
  top: -3rem;
}
.feedback-wrapper {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
}
.feedback-button {
  letter-spacing: 1px;
  background-color: #1b4d85;
  text-transform: uppercase;
  color: white;
  text-decoration: none;
  border-radius: 50px;
  font-size: 1.4rem;
  font-weight: 500;
  z-index: 0;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 4px 12px;
  left: 90%;
  bottom: calc(100vh - 70px);
  transition: all 300ms ease-in-out, border 0ms;
  pointer-events: auto;
}
.feedback-class {
  width: 12rem;
  height: 4rem;
  bottom: 4rem;
  border: none;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 4px 12px;
}
.feedback-button-div {
  display: flex;
  width: 95%;
  align-items: right;
  justify-content: right;
}
.send-button {
  height: 4rem;
  width: 11rem;
  border: none;
  background-color: white;
  color: #2a6ebb;
  font-size: 1.6rem;
  font-weight: 700;
  border-radius: 2.5rem;
  text-transform: uppercase;
  /* padding: 0.5rem 0 0.5rem 2rem; */
  /* text-align: left; */
  text-align: center;
}
.bi-send {
  background-color: #2a6ebb;
  border-radius: 100%;
  color: white;
  font-size: 1.5rem;
  padding: 0.6rem 0.8rem;
  margin-left: 1rem;
}
.sticky-menu-container-parent {
  width: 100%;
  position: relative;
}
.test_button {
  width: 12rem;
  height: 4rem;
  left: calc(100%-10rem);
  bottom: 9rem;
  border: none;
  color: white;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 4px 12px;
}
.sticky-menu-container {
  position: fixed;
  right: 4rem;
  bottom: 1rem;
  z-index: 999;
  text-align: right;
  pointer-events: none;
}
.left-circle {
  display: none;
  position: fixed;
  right: -1.5rem;
  bottom: 3.75rem;
  z-index: 999;
  height: 60px;
  width: 30px;
  background: #2a6ebb;
  margin: 0 1em 1em 0;
  border-bottom-left-radius: 90px;
  border-top-left-radius: 90px;
  line-height: 60px;
}
.left-circle > .chevron {
  font-size: 3rem;
  color: white;
  margin-left: 0.25rem;
}
.feedback-text {
  margin: auto 0;
  display: flex;
  justify-content: center;
  font-size: 2rem;
  font-weight: 700;
  color: #2a6ebb;
}
.yes-no-button {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 5rem;
  border-radius: 2.5rem;
  background-color: white;
  border: none;
  letter-spacing: 0;
  margin: 1rem;
  padding: 0 1.5rem;
  width: 10rem;
}
.yes-no-button > input {
  display: none !important;
}
.bi-hand-thumbs-up,
.bi-hand-thumbs-down,
.bi-hand-thumbs-up-fill,
.bi-hand-thumbs-down-fill {
  font-size: 2rem;
  margin-left: 0.7rem;
  position: relative;
  -webkit-text-stroke: 1.2px;
}
.bi-hand-thumbs-up,
.bi-hand-thumbs-up-fill {
  top: -0.1rem;
}
.bi-hand-thumbs-down,
.bi-hand-thumbs-down-fill {
  top: 0.2rem;
}
.textarea-field {
  border: none;
  border-radius: 1rem;
  width: 100%;
  height: 15rem !important;
}
textarea,
textarea::placeholder {
  color: #333 !important;
  font-size: 1.6rem;
  font-weight: 400;
  text-align: left;
}
textarea {
  padding: 1.6rem;
}
.sticky-menu-container .inner-menu1 {
  background-color: #e8e8e8 !important;
  height: var(--menu-height);
  width: var(--menu-width);
  bottom: -50px;
  border-radius: var(--menu-border-radius);
  padding: 3rem;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 4px 12px;
}
/* .sticky-menu-container .inner-menu1 > ul {
  height: 28rem;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  align-content: space-between;
  margin: 0;
  padding: 0;
  position: relative;
  top: -5rem;
} */

.sticky-menu-container .inner-menu1 > form > ul {
  height: 28rem;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  align-content: space-between;
  margin: 0;
  padding: 0;
  position: relative;
  top: -5rem;
}
/* .sticky-menu-container .inner-menu1 > .menu-list > .menu-item {
  color: #ffffff;
  text-transform: uppercase;
  letter-spacing: 3px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
} */
.sticky-menu-container .inner-menu1 > form > .menu-list > .menu-item {
  color: #ffffff;
  letter-spacing: 3px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
/* .sticky-menu-container
  .inner-menu1
  > .menu-list
  > .menu-item
  > .item-icon {
  display: absolute;
  align-items: center;
  justify-content: center;
} */
.sticky-menu-container
  .inner-menu1
  > form
  > .menu-list
  > .menu-item
  > .item-icon {
  display: absolute;
  align-items: center;
  justify-content: center;
}
.highlight-border {
  fill: white;
  background-color: #286dbd;
  border-radius: 50%;
}
.outer-button {
  padding: 1rem 0 1rem 0;
  text-align: right;
}
/* Help Button (2/2) */
.help-wrapper {
  position: absolute;
  width: 100%;
  height: 100vh;
}
.feedback-button2 {
  letter-spacing: 1px;
  font-size: 1.4rem;
  background-color: #1b4d85;
  text-transform: uppercase;
  color: white;
  text-decoration: none;
  border-radius: 50px;
  font-weight: 500;
  z-index: 100;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 4px 12px;
  left: 90%;
  bottom: calc(100vh - 70px);
  transition: all 300ms ease-in-out, border 0ms;
  pointer-events: auto;
}
.fixed-button-class {
  width: 17rem;
  height: 5rem;
  font-size: 1.8rem;
  border: none;
  margin-bottom: 1rem;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 8px 12px;
}
.fixed-button-class:hover,
.fixed-button-class:active {
  background-color: #e8e8e8 !important;
  color: #286dbd !important;
}
.old-intranet-button {
  width: 17rem;
  height: 5rem;
  letter-spacing: 1px;
  background-color: #fff;
  text-transform: uppercase;
  text-decoration: none;
  border: none;
  border-radius: 50px;
  font-size: 1.2rem;
  font-weight: 600;
  z-index: 0;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 4px 12px;
  left: 90%;
  bottom: calc(100vh - 70px);
  color: #286dbd;
  text-align: left;
  padding-left: 1.45rem;
  pointer-events: auto;
}
.old-intranet-button:hover,
.old-intranet-button:active {
  background-color: #e8e8e8;
  text-decoration: underline;
  text-underline-offset: 25%;
}
.old-intranet-button > span {
  line-height: 0;
}
.help-text {
  font-size: 2.2rem;
  font-weight: 700;
  text-align: center;
  color: #2a6ebb;
  position: relative;
  top: -5rem;
}
.version-box {
  background-color: transparent;
  color: #286dbd;
  font-size: 1.8rem;
  font-weight: 500;
  height: 3.5rem;
  letter-spacing: 1px;
  margin-bottom: 1rem;
  width: 17rem;
}
.version-text {
  text-align: center;
  padding-top: 3px;
}
.bi-chat-left-fill {
  background-color: #2a6ebb;
  border-radius: 100%;
  color: white;
  font-size: 3rem;
  padding: 0.8rem 1rem 0.5rem 1.2rem;
  position: relative;
  top: 1.5rem;
}
.bi-question-circle-fill {
  color: #2a6ebb;
  font-size: 5rem;
}
.item-text,
.item-text-heading {
  color: #333;
  width: 100%;
  font-size: 1.6rem;
  font-weight: 400;
  text-align: center;
  line-height: 2.2rem;
}
.item-text-heading {
  font-weight: 700;
  margin-top: 1rem;
}
.item-text > a {
  color: #2a6ebb;
  font-size: 1.8rem;
  text-decoration: none;
}
.sticky-menu-container .inner-menu2 {
  background-color: #e8e8e8 !important;
  height: 45rem;
  width: var(--menu-width);
  bottom: -50px;
  border-radius: var(--menu-border-radius);
  padding: 3rem;
  box-shadow: rgba(0, 0, 0, 0.4) 0px 4px 12px;
}
.sticky-menu-container .inner-menu2 > ul {
  height: 100%;
  list-style: none;
  margin: 0;
  padding: 0;
  position: relative;
  top: -5rem;
}
.sticky-menu-container .inner-menu2 > .menu-list > .menu-item {
  color: #ffffff;
  text-transform: uppercase;
  letter-spacing: 3px;
  height: 18%;
  width: 100%;
  text-align: center;
}
.sticky-menu-container .inner-menu2 > .menu-list > .menu-item {
  overflow: hidden;
}
.sticky-menu-container
  .inner-menu2
  > .menu-list
  > .menu-item
  > .item-icon {
  display: absolute;
  align-items: center;
  justify-content: center;
}
.highlight {
  fill: none;
  stroke: #286dbd;
}

@keyframes touch-click-inner {
  50% {
    transform: scale(0.375);
    border-width: 30px;
    opacity: 1;
  }
  100% {
    transform: scale(1);
    border-width: 1px;
    opacity: 0;
  }
}

@keyframes touch-click-outer {
  0% {
    border-width: 10px;
    opacity: 0;
  }
  50% {
    opacity: 0.2;
  }
  100% {
    transform: scale(1.1);
    opacity: 0;
  }
}

@keyframes close-in {
  0% {
    transform: scale(0) rotate(270deg);
    opacity: 0;
  }
  100% {
    transform: scale(1.1) rotate(0deg);
    opacity: 1;
  }
}

@keyframes close-out {
  0% {
    transform: scale(1.1) rotate(0deg);
    opacity: 1;
  }
  100% {
    transform: scale(0) rotate(270deg);
    opacity: 0;
  }
}

@keyframes feedback-out {
  0% {
    transform: translateX(0) translateY(0);
  }
  100% {
    transform: translateX(calc(var(--button-radius) / 1.5))
      translateY(calc(var(--button-radius) / -1.5));
  }
}

@keyframes feedback-in {
  0% {
    transform: translateX(calc(-1 * var(--button-radius)))
      translateY(calc(var(--button-radius)));
    opacity: 0;
  }
  100% {
    transform: translateX(0) translateY(0);
    opacity: 1;
  }
}

@keyframes text-in {
  0% {
    opcaity: 1;
    transform: translateY(50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes text-hides {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes fade-out {
  from {
    opacity: 100%;
  }
  to {
    opacity: 0%;
  }
}

@keyframes fade-in {
  from {
    opacity: 0%;
  }
  to {
    opacity: 100%;
  }
}

@keyframes rotate-down {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(90deg);
  }
}

@keyframes rotate-right {
  from {
    transform: rotate(90deg);
  }
  to {
    transform: rotate(0deg);
  }
}
